Index: channels/chan_dahdi.c
===================================================================
--- channels/chan_dahdi.c	(revision 265607)
+++ channels/chan_dahdi.c	(working copy)
@@ -3469,7 +3469,12 @@
 	} else if (!strcasecmp(policy_str, "immediate")) {
 		*policy = DAHDI_POLICY_IMMEDIATE;
 	} else if (!strcasecmp(policy_str, "half")) {
+#ifdef DAHDI_POLICY_HALF_FULL
 		*policy = DAHDI_POLICY_HALF_FULL;
+#else
+		ast_log(LOG_WARNING, "Buffer policy \"half\" is not supported.\n");
+		return -1;
+#endif
 	} else {
 		ast_log(LOG_WARNING, "Invalid policy name given '%s'.\n", policy_str);
 		return -1;
